#!/bin/sh
LOG_FILE="/scratch/log/esxupdate.log"
CURRENT_USER=$(echo $USER)

LogInfo()
{
    DATE=$(date '+%Y-%m-%d %H:%M:%S')
    [ "${LOG_FILE}" != "" ] && echo "[$DATE][ULTRAPATH][$CURUSER][INFO][$2] $1" >> "${LOG_FILE}"
}

StartUphostinfoesx()
{
    if [ -f /opt/UltraPath/tools/up_hostinfo_esx ]
    then
        nohup /opt/UltraPath/tools/up_hostinfo_esx >/dev/null 2>&1 &
        LogInfo  "Start up_hostinfo_esx." "startuphostinfoesx"
    fi
}

StopUphostinfoesx()
{
    local number=""
    local time=0
    number=$(ps -c | grep "up_hostinfo_esx" |grep -v "grep"| wc -l)
    if [ ${number} -lt 1 ]
    then
        return 0
    fi
    pid=$(ps -c | grep "up_hostinfo_esx" |grep -v "grep"| awk '{print $1}')
    kill -9 ${pid} 2>/dev/null
    while [ ${time} -lt 10 ]
    do
        number=$(ps -c | grep "up_hostinfo_esx" |grep -v "grep"| wc -l)
        if [ ${number} -eq 0 ]; then
            LogInfo "up_hostinfo_esx kill succeeded, retry times=${time}, retry interval=500ms..." "stopuphostinfoesx"
            return 0
        else
            sleep 0.5
        fi
        let "time=time+1"
    done
    LogInfo  "Stop up_hostinfo_esx failed." "stopuphostinfoesx"
    return 0
}

case "$1" in
"start")
    StartUphostinfoesx
    ;;
"stop")
    StopUphostinfoesx
    ;;
"*")
    echo "Usage: $0 start/stop to start/stop up_hostinfo_esx"
    ;;
esac
exit 0